net.corda.flows

## Class NotaryChangeFlow

- AbstractStateReplacementFlow
- - net.corda.flows.NotaryChangeFlow

-     public class NotaryChangeFlow
      extends AbstractStateReplacementFlow

  A flow to be used for changing a state's Notary. This is required since all input states to a transaction must point to the same notary.

  The `class NotaryChangeFlow.Instigator` assembles the transaction for notary replacement and sends out change proposals to all participants (`class NotaryChangeFlow.Acceptor`) of that state. If participants agree to the proposed change, they each sign the transaction. Finally, `class NotaryChangeFlow.Instigator` sends the transaction containing all signatures back to each participant so they can record it and use the new updated state for future transactions.

  See Also:
    `class NotaryChangeFlow.Instigator`, `class NotaryChangeFlow.Acceptor`, `class NotaryChangeFlow.Instigator`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NotaryChangeFlow.Acceptor`
    `static class` | `NotaryChangeFlow.Instigator<T extends ContractState>`

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractStateReplacementFlow

      `AbstractStateReplacementFlow.Proposal<M>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NotaryChangeFlow` | `INSTANCE` A flow to be used for changing a state's Notary. This is required since all input states to a transaction must point to the same notary.

- - ### Field Detail

    - #### INSTANCE

          public static NotaryChangeFlow INSTANCE

      A flow to be used for changing a state's Notary. This is required since all input states to a transaction must point to the same notary.

      The `class NotaryChangeFlow.Instigator` assembles the transaction for notary replacement and sends out change proposals to all participants (`class NotaryChangeFlow.Acceptor`) of that state. If participants agree to the proposed change, they each sign the transaction. Finally, `class NotaryChangeFlow.Instigator` sends the transaction containing all signatures back to each participant so they can record it and use the new updated state for future transactions.

      See Also:
        `class NotaryChangeFlow.Instigator`, `class NotaryChangeFlow.Acceptor`, `class NotaryChangeFlow.Instigator`